aboutsummaryrefslogtreecommitdiff
path: root/dev-libs/smooth/smooth-0.9.10-r1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/smooth/smooth-0.9.10-r1.ebuild')
-rw-r--r--dev-libs/smooth/smooth-0.9.10-r1.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-libs/smooth/smooth-0.9.10-r1.ebuild b/dev-libs/smooth/smooth-0.9.10-r1.ebuild
new file mode 100644
index 0000000..abd18b0
--- /dev/null
+++ b/dev-libs/smooth/smooth-0.9.10-r1.ebuild
@@ -0,0 +1,47 @@
+#
+# ~~~ dev-libs/smooth
+#
+# ~~~ a C++ class library
+#
+
+#
+# ~~~ metadata
+
+# portage info
+EAPI=8
+SLOT=0
+
+KEYWORDS="amd64"
+IUSE="cairo"
+
+# info
+HOMEPAGE="https://smooth-project.org/"
+DESCRIPTION="The smooth C++ class library"
+LICENSE="Artistic-2"
+
+# package data
+SRC_URI="https://github.com/enzo1982/smooth/releases/download/v${PV}/${P}.tar.gz"
+
+#
+# ~~~ dependencies
+
+# build-time dependencies
+BDEPEND="
+ app-arch/bzip2
+ dev-libs/fribidi
+ dev-libs/libxml2
+ media-libs/libjpeg-turbo
+ net-misc/curl
+ x11-libs/gtk+:3[X]"
+
+#
+# ~~~ steps
+
+# compile
+src_compile() {
+ if use cairo ; then
+ emake DESTDIR="${D}" BUILD_CAIRO="True" || die "emake failed"
+ else
+ emake DESTDIR="${D}" BUILD_CAIRO="True" || die "emake failed"
+ fi
+}